<!--

function Delegate(){}
Delegate.create=function(o,f){
var JujqQ=new Array();
var YRuEb=arguments.length;
for(var i=2;i<YRuEb;i++) JujqQ[i-2]=arguments[i];
return function(){
var LHQpt=[].concat(arguments,JujqQ);
f.apply(o,LHQpt);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.pKlLA=0;
t.iZLfZ=0;
t.XKkJV=0;
t.CiYhu=0;
t.LNvdF=0;
t.iCeKu=0;
t.jjRUY=false;
t.name='';
t.suffixe='';
t.hMPHQ=new Array();
t.setTime=function(t){
this.prevTime=this.iZLfZ;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.pKlLA);
this.update();
this.ipTmn('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.iZLfZ=this.pKlLA;
this.update();
this.stop();
this.ipTmn('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.iZLfZ=t;
this.update();
}
}
t.isRunning=function(){
return this.jjRUY;
}
t.getTime=function(){
return this.iZLfZ;
}
t.setDuration=function(d){
this.pKlLA=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.pKlLA;
}
t.setPosition=function(p){
this.prevPos=this.XKkJV;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.XKkJV=p;
this.ipTmn('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.iZLfZ;
return this.func(t,this.begin,this.change,this.pKlLA);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.hMPHQ=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.XKkJV=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.ipTmn('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.iZLfZ=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.iZLfZ=this.pKlLA;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.iZLfZ));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.jjRUY=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.jjRUY){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.LNvdF)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.ipTmn('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.jjRUY=false;
}
t.continueTo=function(finish,duration){
this.begin=this.XKkJV;
this.setFinish(finish);
if(this.pKlLA!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.ipTmn('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.iZLfZ);
}
t.addListener=function(o){
this.removeListener(o);
return this.hMPHQ.push(o);
}
t.removeListener=function(o){
var a=this.hMPHQ;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.ipTmn=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.hMPHQ;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.LNvdF=this.getTimer()-this.iZLfZ*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.iZLfZ;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,rxvAt,VTsBQ,pKlLA){
this.targetObject=obj;
this.init(new Object(),'a',func,rxvAt,VTsBQ,pKlLA);
this.onMotionChanged=function(evt){
var v=evt.target.XKkJV;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(xWKCl,OQHXf,KiEtX)
{
return "<canvas id='"+xWKCl+"' width='"+OQHXf+"' height='"+KiEtX+"'></canvas>"
}
function WA_canvas(xWKCl,OQHXf,KiEtX)
{
document.write(html_canvas(xWKCl,OQHXf,KiEtX))
}
function GumKS(JOQUD,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
JOQUD.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
JOQUD.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
JOQUD.quadraticCurveTo(cx,cy,px,py);
}
}
function fvRhE(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
npwbf(c,x,y,lx,ly,arc,clowckwise)
}
function npwbf(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function enpNv()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function fEiVv(lx,ly,parent,id_suffixe)
{
var ZIOMn=document.createElement('canvas');ZIOMn.width=lx;ZIOMn.height=ly;
return ZIOMn;
}
function APqPj(c,RPgxr)
{
c.shadowOffsetX=2;c.shadowOffsetY=2;c.shadowBlur=4;
}
function WA_over_img_html(YUdQr,nLYsh,JBBIo)
{
if(!YUdQr.src)
{
var VlKIs=YUdQr.getElementsByTagName("IMG")
if(VlKIs.length==1)YUdQr=VlKIs[0]
}
if(YUdQr.src1==undefined)
{
YUdQr.src1=YUdQr.src;
YUdQr.src2=nLYsh;
}
if(JBBIo)
{
YUdQr.src=YUdQr.src2;
}
else
{
YUdQr.src=YUdQr.src1;
}
}
function WA_over_img(id,JBBIo)
{

var el=document.getElementById(id) 

var YUdQr=(JBBIo)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[YUdQr,YUdQr],el.wa_shadow,el.wa_rot)
}
function WA_img(id,lx,ly,arc,oDCTA,bord_col,s_img,shadow,rot)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
var cOJeX=(el.width-lx)/2;
if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=oDCTA
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
c.translate(cOJeX,cOJeX)
}
var WRffI=document.getElementById(id+"-cache")
WRffI.onload=function()
{
c.clearRect(0,0,lx+2*cOJeX,ly+2*cOJeX)
var arc2=arc-oDCTA;
if(arc2<0)arc2=0;
if(enpNv()==false)
{
if(shadow) DTNmV(c,0,0,lx,ly,arc,false,rot) 
this.width=lx-2*oDCTA
this.height=ly-2*oDCTA 
if(navigator.userAgent.match(/Firefox/i))
{
var c2=c
if(oDCTA>0)
{
c2.fillStyle=bord_col;
fvRhE(c2,0,0,lx,ly,arc)
npwbf(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,true)
c2.fill()
}
fvRhE(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2)
c2.clip()
c2.drawImage(this,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA);
}
else
{
var ObdcS=c.createPattern(this,'no-repeat');
c.fillStyle=ObdcS;
c.beginPath() 
fvRhE(c,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2)
c.translate(oDCTA,oDCTA)
c.fill()
c.translate(-oDCTA,-oDCTA)
if(oDCTA>0)
{
c.fillStyle=bord_col;
fvRhE(c,0,0,lx,ly,arc)
npwbf(c,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,true)
c.fill()
}
}
}
else
{
var canv2=fEiVv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
if(oDCTA>0)
{
c2.fillStyle=bord_col;
fvRhE(c2,0,0,lx,ly,arc)
npwbf(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,true)
c2.fill()
}
fvRhE(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2)
c2.clip()
c2.drawImage(this,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA);
if(shadow) APqPj(c,rot)
c.drawImage(canv2,0,0);
}
}
WRffI.src=s_img[0];
}
function mSVmd(c,type,lx,ly,corner)
{
if(type==1)
GumKS(c,0,0,lx,ly)
else
fvRhE(c,0,0,lx,ly,corner)
}
function OfnAh(el,c,type,lx,ly,corner,bg,goQvC,rot)
{
if(enpNv()==false)
{
c.fillStyle=bg;
mSVmd(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=fEiVv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
mSVmd(c2,type,lx,ly,corner)
c2.fill()
if(goQvC) APqPj(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function OQGNc(c,type,lx,ly,wkMoJ,bg,hhdID,XuvUf_glow)
{
if(hhdID)
{
var x1=hhdID[0];var y1=hhdID[1];var lx1=hhdID[2];var ly1=hhdID[3];var SOofI=hhdID[4];
var DCwtD=c.createLinearGradient(x1,y1,x1,y1+ly1);
DCwtD.addColorStop(0,"rgba(255,255,255,0.7)");DCwtD.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=DCwtD;
if(type==1) GumKS(c,x1,y1,lx1,ly1)
else
fvRhE(c,x1,y1,lx1,ly1,SOofI)
c.fill()
}
if(XuvUf_glow)
{
var x2=XuvUf_glow[0];var y2=XuvUf_glow[1];var lx2=XuvUf_glow[2];var ly2=XuvUf_glow[3];
var bpMRt=XuvUf_glow[4];
var cPTNX_glow=new RGBColor(XuvUf_glow[5]);
cPTNX_glow.a=0;
var col1=XuvUf_glow[5];
var col2=cPTNX_glow.toRGB();
var skJLC=c.createLinearGradient(x2,y2,x2,y2+ly2);
skJLC.addColorStop(0,col2);
skJLC.addColorStop(0.2,col2);
skJLC.addColorStop(1,col1);
c.fillStyle=skJLC;
if(type==1) GumKS(c,x2,y2,lx2,ly2)
else
fvRhE(c,x2,y2,lx2,ly2,bpMRt)
c.fill()
}
}
function oqbRt(SqLIl,xWKCl,ULESl,OQHXf,KiEtX,wkMoJ,ZvXDa,hhdID,XuvUf_glow,goQvC,RPgxr)
{
SqLIl.xWKCl=xWKCl;SqLIl.ULESl=ULESl;
SqLIl.OQHXf=OQHXf;SqLIl.KiEtX=KiEtX;
SqLIl.wkMoJ=wkMoJ;SqLIl.ZvXDa=ZvXDa,SqLIl.hhdID=hhdID;
SqLIl.XuvUf_glow=XuvUf_glow;SqLIl.goQvC=goQvC;SqLIl.RPgxr=RPgxr;
}
function WA_but_over(xWKCl,ZvXDa_over,cPTNX_glow)
{
var EQkib=document.getElementById(xWKCl) 
if(EQkib&&EQkib.pejwt)
with(EQkib.pejwt)
{
var XuvUf_glow_over;
if(XuvUf_glow&&cPTNX_glow)
{
XuvUf_glow_over=new Array();
for(var cBpej=0;cBpej<XuvUf_glow.length;cBpej++)XuvUf_glow_over[cBpej]=XuvUf_glow[cBpej];
XuvUf_glow_over[5]=cPTNX_glow;
}
WA_but(xWKCl,ULESl,OQHXf,KiEtX,wkMoJ,ZvXDa_over,hhdID,XuvUf_glow_over,goQvC,RPgxr);
}
var TNPYn_over0=document.getElementById(xWKCl+"-div0")
if(TNPYn_over0)html_SetVisibility(TNPYn_over0,false);
var jbfGv=document.getElementById(xWKCl+"-div1")
if(jbfGv)html_SetVisibility(jbfGv,true);
}
function WA_but_out(xWKCl)
{
var EQkib=document.getElementById(xWKCl)
with(EQkib.pejwt)
{
WA_but(xWKCl,ULESl,OQHXf,KiEtX,wkMoJ,ZvXDa,hhdID,XuvUf_glow,goQvC,RPgxr);
}
var TNPYn_over0=document.getElementById(xWKCl+"-div0")
if(TNPYn_over0)html_SetVisibility(TNPYn_over0,true);
var jbfGv=document.getElementById(xWKCl+"-div1")
if(jbfGv)html_SetVisibility(jbfGv,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,goQvC,rot)
{
var el=document.getElementById(id)
if(el.pejwt==undefined)
{
el.pejwt=new Array();
oqbRt(el.pejwt,id,type,lx,ly,corner,bg,top_light,s_glow,goQvC,rot);
}
var c=el.getContext('2d');
var cOJeX=0;
if(goQvC)cOJeX=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*cOJeX,ly+2*cOJeX) 
c.clearRect(0,0,lx+2*cOJeX,ly+2*cOJeX) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(enpNv()==false)
{
c.translate(cOJeX,cOJeX)
img.width=lx
img.height=ly 
if(goQvC)
DTNmV(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
mSVmd(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
mSVmd(c,type,lx,ly,corner)
c.fill()
}
OQGNc(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-cOJeX,-cOJeX)
}
else
{
var canv2=fEiVv(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
mSVmd(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
OQGNc(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(goQvC) APqPj(c,rot) 
c.drawImage(canv2,cOJeX,cOJeX);
}
}
img.src=bg2;
return;
}
c.translate(cOJeX,cOJeX) 
if(goQvC&&(enpNv()==false))
{
var VGXFL=new RGBColor(bg);
if(VGXFL.a>0)
{
DTNmV(c,0,0,lx,ly,corner,(type==1),rot)
}
}
OfnAh(el,c,type,lx,ly,corner,bg2,goQvC,rot)
OQGNc(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-cOJeX,-cOJeX)
}
function DTNmV(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
c.translate(decShadow,decShadow)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) GumKS(c,x,y,lx,ly);else fvRhE(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow,-decShadow)
}
function hmLEN(id,x,y,lx,ly,arc,oDCTA,bord_col,bg,shadow,rot,BBWBu,rLLNo)
{
if(rLLNo==undefined)rLLNo=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(BBWBu==undefined)BBWBu=1.0;
var cOJeX=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
cOJeX=6;
}
if(rLLNo) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=BBWBu 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var qwZma=bg1.split(";");
var x1=parseFloat(qwZma[0]);
var y1=parseFloat(qwZma[1]);
var x2=parseFloat(qwZma[2]);
var y2=parseFloat(qwZma[3]);
var col1=qwZma[4];
var col2=qwZma[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-oDCTA;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) DTNmV(c,cOJeX,cOJeX,lx,ly,arc,false,rot)
}
if(oDCTA>0)
{
c2.fillStyle=bord_col;
fvRhE(c2,x,y,lx,ly,arc)
npwbf(c2,x+oDCTA,y+oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
fvRhE(c2,x+oDCTA,y+oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2)
c2.fill();
}
function tKAjp(ajVgw,oiPVw,EMZFR)
{
return new Point(Math.round(ajVgw*Math.cos(EMZFR)-oiPVw*Math.sin(EMZFR)),Math.round(ajVgw*Math.sin(EMZFR)+oiPVw*Math.cos(EMZFR)))
}
function nrAUr(c,x,y,lx,ly,arc,clowckwise,RPgxr)
{
c.beginPath()
ivSCL(c,x,y,lx,ly,arc,clowckwise,RPgxr)
}
function ivSCL(c,x,y,lx,ly,arc,clowckwise,RPgxr)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var mJKrG=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=RPgxr*2*Math.PI/360
for(var n=0;n<mJKrG.length;n++)
{
var pIkVP=mJKrG[n][0]
var IRRqN=mJKrG[n][1]
mJKrG[n][0]=pIkVP*Math.cos(theta)-IRRqN*Math.sin(theta);
mJKrG[n][1]=pIkVP*Math.sin(theta)+IRRqN*Math.cos(theta);
}
var n=0;
c.moveTo(mJKrG[n][0],mJKrG[n++][1]);
c.lineTo(mJKrG[n][0],mJKrG[n++][1]);
c.quadraticCurveTo(mJKrG[n][0],mJKrG[n++][1],mJKrG[n][0],mJKrG[n++][1]);
c.lineTo(mJKrG[n][0],mJKrG[n++][1]);
c.quadraticCurveTo(mJKrG[n][0],mJKrG[n++][1],mJKrG[n][0],mJKrG[n++][1]);
c.lineTo(mJKrG[n][0],mJKrG[n++][1]);
c.quadraticCurveTo(mJKrG[n][0],mJKrG[n++][1],mJKrG[n][0],mJKrG[n++][1]);
c.lineTo(mJKrG[n][0],mJKrG[n++][1]);
c.quadraticCurveTo(mJKrG[n][0],mJKrG[n++][1],mJKrG[n][0],mJKrG[n++][1]);
}
function INZHO(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function UrIwe(new_a1,new_b1,oXRap,multi)
{
var d=0;
for(var i=0;i<oXRap.length;i++)
{
var iKRGF=oXRap[i]
var d1=INZHO(new_a1,new_b1,iKRGF.x,iKRGF.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function kSCNb(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function SScPp(c,lx,ly,bg1)
{
var fill_obj=false;
var Qtlvp=false;
var mdHcc=false;
var oXRap=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var qwZma=bg1.split(";");
var gZvCM=new Point(parseFloat(qwZma[0]),parseFloat(qwZma[1]));
var LaFWe=new Point(parseFloat(qwZma[2]),parseFloat(qwZma[3]));
Qtlvp=gZvCM.clone()
mdHcc=LaFWe.clone()
var col1=qwZma[4];
var col2=qwZma[5];
var grad=c.createLinearGradient(Qtlvp.x,Qtlvp.y,mdHcc.x,mdHcc.y);
if(isMSIE())
{
Qtlvp=gZvCM.clone()
mdHcc=LaFWe.clone() 
var DCwtD=0;
var skJLC=1;
{
oXRap=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(mdHcc.y-Qtlvp.y)/(mdHcc.x-Qtlvp.x);
var b=Qtlvp.y-a*Qtlvp.x;
var diff=1;
if(a==Infinity)
{
d1=(Qtlvp.y)
d2=(ly-mdHcc.y)
}
else
if(a==0)
{
d1=(Qtlvp.x)
d2=(lx-mdHcc.x)
}
else
{
var new_a1=-1/a;
var new_b1=Qtlvp.y-new_a1*Qtlvp.x;
d1=UrIwe(new_a1,new_b1,oXRap,-1)
var new_b2=mdHcc.y-new_a1*mdHcc.x;
d2=UrIwe(new_a1,new_b2,oXRap,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(mdHcc.x-Qtlvp.x,2)+Math.pow(mdHcc.y-Qtlvp.y,2))
var total=(d1+d+d2)
DCwtD=d1/total;
skJLC=(d1+d)/total;
var pt_prod0=new Point(mdHcc.x-Qtlvp.x,mdHcc.y-Qtlvp.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
DCwtD=d2/total;
skJLC=(d2+d)/total;
}
}
grad.addColorStop(DCwtD,col1);
grad.addColorStop(skJLC,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,oDCTA,bord_col,bg,shadow,rot,OFrfu,aWvTB,BBWBu,rLLNo)
{


var theta=rot*2*Math.PI/360 
if(rLLNo==undefined)rLLNo=true;
if(BBWBu==undefined)BBWBu=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var cOJeX=(el.width-lx)/2;
if(rLLNo) c.clearRect(0,0,el.width,el.height)
var x_rect0=cOJeX;
var y_rect0=cOJeX;
var bg1=bg[0]
var fill_obj=false;
var Qtlvp=false;
var mdHcc=false;
var oXRap=false
fill_obj=SScPp(c,lx,ly,bg1) 
if(BBWBu==undefined)BBWBu=1.0;
var arc2=arc-oDCTA;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(OFrfu+6,aWvTB+6)
}
else
{
c2.translate(OFrfu,aWvTB)
}
c2.fillStyle=fill_obj;
nrAUr(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,oDCTA,bord_col,bg,shadow,rot,BBWBu,rLLNo)
{

if(rLLNo==undefined)rLLNo=true;
if(BBWBu==undefined)BBWBu=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var cOJeX=(el.width-lx)/2;
if(rLLNo) c.clearRect(0,0,el.width,el.height) 

var fill_obj=SScPp(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
Puedl(c,el,lx,ly,arc,oDCTA,bord_col,ptrn,shadow,rot,BBWBu)
}
img.src=bg2;
}
else
{
Puedl(c,el,lx,ly,arc,oDCTA,bord_col,fill_obj,shadow,rot,BBWBu)
}
}
function Puedl(c,el,lx,ly,arc,oDCTA,bord_col,fill_obj,shadow,rot,BBWBu)
{
if(BBWBu==undefined)BBWBu=1.0;
var arc2=arc-oDCTA;
if(arc2<0)arc2=0
var cOJeX=(el.width-lx)/2;
var x_rect0=cOJeX;
var y_rect0=cOJeX;
var canv2=false;
var c2=c;
c.globalAlpha=BBWBu
if(enpNv()==true)
{
canv2=fEiVv(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=BBWBu
}
else
{
c2.translate(cOJeX,cOJeX)
if(shadow) DTNmV(c,0,0,lx,ly,arc,false,rot)
}
if(oDCTA>0)
{
c2.fillStyle=bord_col;
fvRhE(c2,0,0,lx,ly,arc)
npwbf(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
fvRhE(c2,oDCTA,oDCTA,lx-2*oDCTA,ly-2*oDCTA,arc2)
c2.fill();
if(enpNv()==true)
{
if(shadow) APqPj(c,rot)
c.drawImage(canv2,cOJeX,cOJeX);
}
else
{
c2.translate(-cOJeX,-cOJeX)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(XuvUf){return(this.width>XuvUf.width)&&(this.height>XuvUf.height)}
this.scale=function(wioiM,ZBVfj)
{
if(!ZBVfj)ZBVfj=false
var GJVZC=this;
var knQdT=GJVZC.width
var veFhv=GJVZC.height
var p1=knQdT*wioiM.height;
var p2=wioiM.width*veFhv;
var r1=knQdT/veFhv;
var r2=veFhv/knQdT;
var newSize1=new Size(wioiM.height*r1,wioiM.height);
var newSize2=new Size(wioiM.width,wioiM.width*r2);
if(p2>p1)
{
if((ZBVfj==true)||((newSize1.width<=GJVZC.width)&&(newSize1.height<=GJVZC.height)))
{
GJVZC.width=Math.round(newSize1.width);
GJVZC.height=Math.round(newSize1.height);
}
}
else
{
if((ZBVfj==true)||((newSize2.width<=GJVZC.width)&&(newSize2.height<=GJVZC.height)))
{
GJVZC.width=Math.round(newSize2.width);
GJVZC.height=Math.round(newSize2.height);
}
}
this.width=GJVZC.width;
this.height=GJVZC.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(ajVgw,oiPVw){this.x+=ajVgw;this.y+=oiPVw;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(XBkGD){return(this.x==XBkGD.x)&&(this.y==XBkGD.y)&&(this.width==XBkGD.width)&&(this.height==XBkGD.height);}
this.copy=function(XBkGD){this.x=XBkGD.x;this.y=XBkGD.y;this.width=XBkGD.width;this.height=XBkGD.height;}
this.translate=function(ajVgw,oiPVw){this.x+=ajVgw;this.y+=oiPVw;}
}
function html_getLayer(XBkGD)
{
if(typeof(XBkGD)=="string")return document.getElementById(XBkGD);
return XBkGD;
}
function html_SetPosition(XBkGD,ajVgw,oiPVw){
XBkGD=html_getLayer(XBkGD);
XBkGD.style.left=ajVgw+"px";XBkGD.style.top=oiPVw+"px";
}
function html_SetSize(LLJnk,OQHXf,KiEtX){
XBkGD=html_getLayer(LLJnk);
XBkGD.style.width=OQHXf+"px";XBkGD.style.height=KiEtX+"px";
}
function html_SetRect(XBkGD,cFijW){html_SetGeometry(XBkGD,cFijW.x,cFijW.y,cFijW.width,cFijW.height);}
function html_SetGeometry(XBkGD,ajVgw,oiPVw,OQHXf,KiEtX){html_SetPosition(XBkGD,ajVgw,oiPVw);html_SetSize(XBkGD,OQHXf,KiEtX);}
function html_SetVisibility(XBkGD,QhhnS){XBkGD=html_getLayer(XBkGD);XBkGD.style.visibility=(QhhnS)?"visible":"hidden";}
function html_SetDisplay(XBkGD,QhhnS){XBkGD=html_getLayer(XBkGD);XBkGD.style.display=(QhhnS)?"block":"none";}
function html_SetCanvasSize(XBkGD,OQHXf,KiEtX){XBkGD=html_getLayer(XBkGD);XBkGD.width=OQHXf;XBkGD.height=KiEtX;}
function html_SetOpacity(XBkGD,JujqQ)
{
XBkGD=html_getLayer(XBkGD);
XBkGD.style['opacity']=JujqQ;
XBkGD.style['-moz-opacity']=JujqQ;
XBkGD.style.filter=(JujqQ==1)?'':'alpha(opacity='+(JujqQ*100)+')';
}
var NWuME=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<NWuME.length;i++)
{
var array2=NWuME[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,NWuME[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(iUUYU)
{
var aIYCQ="0123456789.";var FskOf=true;var dFkLI;
for(cBpej=0;cBpej<iUUYU.length&&FskOf==true;cBpej++){dFkLI=iUUYU.charAt(cBpej);if(aIYCQ.indexOf(dFkLI)==-1) FskOf=false;}
return FskOf;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(eFbdT)
{
var YCHdw=eFbdT*60;
var MYjah=new Date();
var cagNw=0;
cagNw+=MYjah.getYear()*12*31*24*60*60;
cagNw+=MYjah.getMonth()*31*24*60*60;
cagNw+=MYjah.getDate()*24*60*60;
cagNw+=MYjah.getHours()*60*60;
cagNw+=MYjah.getMinutes()*60;
cagNw+=MYjah.getSeconds();
if(YCHdw!=0)
{
cagNw=Math.floor(cagNw/YCHdw)*YCHdw
}
return "-"+cagNw;
}
function html_findPos(obj)
{
var JujqQ=bjMtJ(obj)
return new Point(JujqQ[0],JujqQ[1])
}
function bjMtJ(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(OGJdj,OQHXf,KiEtX)
{
document.write("<input id='"+OGJdj+"' type=search results=0 placeholder='' style='width:"+OQHXf+"px;height:"+KiEtX+"px;'>")
}
function jpQsY()
{
var VlKIs=document.getElementsByTagName("A");
for(var cBpej=0;cBpej<VlKIs.length;cBpej++)
{
var XBkGD=VlKIs[cBpej];
if(XBkGD.onmouseover)XBkGD.onmouseover=null;
if(XBkGD.onmouseout)XBkGD.onmouseout=null;
}
}
function VaPMF()
{
for(var tRbax in document.wa_global_list_element)
{
var xWKCl=document.wa_global_list_element[tRbax]
var EQkib=document.getElementById(xWKCl)
EQkib.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(xWKCl)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(xWKCl)
}
function LhJvk()
{
var hsrRu=window.location.search;
if(hsrRu.substr(0,1)=="?")hsrRu=hsrRu.substr(1);
if(hsrRu.length==0)return;
var JkWmw=new Array();
var WUJba=hsrRu.split("&");
for(var i=0;i<WUJba.length;i++)
{
var Cfpfs=WUJba[i].split("=");JkWmw[Cfpfs[0]]=Cfpfs[1];
}
var XuvUf_info=JkWmw["crbst_info"];
if(!XuvUf_info)return;
var wReqc=new Array();
wReqc.m_unid=XuvUf_info;
wReqc.m_index_item=-1;
var mXuQc=XuvUf_info.indexOf("-");
if(mXuQc!=-1)
{
wReqc.m_unid="wa-id-"+XuvUf_info.substring(0,mXuQc);
wReqc.m_index_item=parseInt(XuvUf_info.substring(mXuQc+1));
}
document.wa_global_query_info=wReqc;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
jpQsY()
}
else
{
VaPMF()
}
LhJvk();

gCFFR()
}
function gCFFR()
{
var YUNPi=0;
var gdMEk=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var RXnaY=getWindowSize().width
var xFcUn=document.webaca_width_page
if(RXnaY>xFcUn)YUNPi=(RXnaY-xFcUn)/2;
}
document.body.style.backgroundPosition=YUNPi+"px "+gdMEk+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var JrmWd=CONST_WA_COUNTRIES.codes[n]
var UrkoM=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[JrmWd]=UrkoM
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(xWKCl,SfFkN,goQvC)
{
this.xWKCl=xWKCl;
this.SfFkN=SfFkN
this.goQvC=goQvC;
this.mPGMx=this.xWKCl+"-div"
this.qiZlc=this.xWKCl+"-canvas"
this.hGmVP=new Rect(0,0,0,0)
this.QtrgK=false;
this.hYRkM=false;
this.cOJeX=6;
this.YUdQr_src=false;
this.YUdQr_clip=false;
this.OMWaH=false;
this.dMuWO="";
this.shadow=function()
{
return this.goQvC;
}
this.marginShadow=function()
{
return this.cOJeX;
}
this.rect=function()
{
return this.hGmVP;
}
this.canvasId=function()
{
return this.qiZlc;
}
this.divId=function()
{
return this.mPGMx;
}
this.opacity=function()
{
return this.KMjaD;
}
this.img_clip=function()
{
return this.YUdQr_clip;
}
this.img_src=function()
{
return this.YUdQr_src;
}
this.toHtml=function()
{
var XuvUf=""
XuvUf+="<div id='"+this.mPGMx+"' style=\"";
XuvUf+="position:absolute;";
if(this.dMuWO.length>0)
{
XuvUf+="cursor:pointer;";
}
if(this.rect.x>0)XuvUf+="left:"+this.rect.x+"px;";
if(this.rect.y>0)XuvUf+="top:"+this.rect.y+"px;";
if(this.rect.width>0)XuvUf+="width:"+this.rect.width+"px;";
if(this.rect.height>0)XuvUf+="height:"+this.rect.height+"px;";
if(SfFkN)
XuvUf+="z-index:"+SfFkN+";";
XuvUf+="\" ";
if(this.dMuWO.length>0)
{
XuvUf+="onclick=\""+this.dMuWO+"\" "
}
XuvUf+=">";
if((this.rect.width>0)&&this.shadow())
{
XuvUf+=html_canvas(this.qiZlc,this.rect.width+2*this.cOJeX,this.rect.height+2*this.cOJeX)+"</div>";
}
else
{
XuvUf+=html_canvas(this.qiZlc,0,0)+"</div>";
}
return XuvUf
}
this.setImage=function(cQfoV,GreDK,RPgxr)
{
if(RPgxr==undefined)RPgxr=0;
if((cQfoV==this.YUdQr_src)&&(this.YUdQr_clip&&this.YUdQr_clip.equals(GreDK))&&(this.OMWaH==RPgxr))
{
return;
}
this.OMWaH=RPgxr;
this.YUdQr_src=cQfoV;
this.YUdQr_clip=GreDK;
this.sfXOe()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.qiZlc);
this.hYRkM=true;
this.setRect(this.hGmVP.x,this.hGmVP.y,this.hGmVP.width,this.hGmVP.height)
}
this.sfXOe=function()
{
if((this.hGmVP.width>0)&&(this.hGmVP.height>0))
{
this.draw()
}
this.QtrgK=true
};
this.draw=function(){};
this.setPosition=function(ajVgw,oiPVw)
{
this.hGmVP.x=ajVgw;this.hGmVP.y=oiPVw;
if(this.hYRkM==false)return
html_SetPosition(this.mPGMx,this.hGmVP.x,this.hGmVP.y)
if(this.QtrgK==false)
{
this.sfXOe()
}
}
this.setOnClick=function(XuvUf)
{
this.dMuWO=XuvUf
}
this.width=function(){return this.hGmVP.width;}
this.height=function(){return this.hGmVP.height;}
this.setSize=function(OQHXf,KiEtX)
{
this.hGmVP.width=OQHXf;this.hGmVP.height=KiEtX;
var AaFkd=OQHXf
var vXiID=KiEtX
if(this.goQvC)
{
AaFkd+=2*this.cOJeX
vXiID+=2*this.cOJeX
}
if(this.hYRkM==false)return
html_SetSize(this.mPGMx,AaFkd,vXiID)
html_SetCanvasSize(this.qiZlc,OQHXf,KiEtX)
this.sfXOe()
}
this.setRect=function(ajVgw,oiPVw,OQHXf,KiEtX)
{
this.hGmVP.x=ajVgw;this.hGmVP.y=oiPVw;this.hGmVP.width=OQHXf;this.hGmVP.height=KiEtX;
var AaFkd=OQHXf
var vXiID=KiEtX
var BtgDA=ajVgw
var JLraK=oiPVw
if(this.goQvC)
{
AaFkd+=2*this.cOJeX
vXiID+=2*this.cOJeX
BtgDA-=this.cOJeX
JLraK-=this.cOJeX
}
if(this.hYRkM==false)return 
html_SetGeometry(this.mPGMx,BtgDA,JLraK,AaFkd,vXiID);
html_SetCanvasSize(this.qiZlc,AaFkd,vXiID)
try{this.sfXOe()}catch(e){
alert(e.message)
}
}
this.setVisible=function(QhhnS)
{
if(this.hYRkM==false)return
html_SetVisibility(this.mPGMx,QhhnS)
}
this.setOpacity=function(JujqQ)
{
this.KMjaD=JujqQ 
if(this.hYRkM==false)return
this.sfXOe()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
gCFFR()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(tRbax)
{
var ICvQQ=WA_Dialog.XcgOW;
if(tRbax==-1){ICvQQ.closeWin();return;}
var UiGcE=ICvQQ.XBRbB(tRbax);
if(UiGcE[5])
{
UiGcE[4].call(UiGcE[6],UiGcE[5])
}
else
{
UiGcE[4](UiGcE[5]);
}
}
function WA_Dialog(QhhnS_close_button)
{
this.vSWsT=0;
this.aDarc=0;
this.wioiM_win_width=600;
this.wioiM_win_height=400;
this.AvOpc=new Array();
this.buCxi="wa-dialog-but-";
this.JSvXO=this.buCxi+"div-";
this.dGoAA=this.buCxi+"canvas-";
this.BUTTON_HEIGHT=25;
this.YrSxZ=CONST_WA_GLOBAL_COLOR_THEME;
this.QhhnS_close_button=QhhnS_close_button;
this.rhMcu=6;
this.JAkRe=function()
{
if(this.QhhnS_close_button==undefined)this.QhhnS_close_button=true;
this.xVPki();
}
this.resetButtons=function()
{
this.xVPki();
}
this.idealHeight=function()
{
return this.EDjMg
}
this.displayWindowWithAutoResize=function(eVJlS,BRloB)
{
this.pHVEJ=false
this.EDjMg=eVJlS
this.WERsf=BRloB 
this.resetButtons();
BRloB.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.pHVEJ==false)
if(l.scrollHeight>200)
{
this.pHVEJ=true
this.EDjMg=l.scrollHeight+150
this.resetButtons();
BRloB.call(this)
}
}
this.initializeWindow=function(wioiM_lx,wioiM_ly)
{
if(WA_Dialog.XcgOW)WA_Dialog.XcgOW.closeWin()
WA_Dialog.XcgOW=this;
this.wioiM_win_width=wioiM_lx;
this.wioiM_win_height=wioiM_ly;
this.NTgtx()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.vZGZs=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(UrkoM,XwivP,nKFew,MVpfw)
{
var Fktfc=this.AvOpc.length
if(this.QhhnS_close_button==true)
{
Fktfc--;
}
var OQHXf=Math.max((UrkoM.length*8)*1.2+30,80)
var GJVZC=new Size(OQHXf,this.BUTTON_HEIGHT);
this.AGIMO("action_"+Fktfc,Fktfc,UrkoM,XwivP,GJVZC,nKFew,MVpfw)
}
this.xVPki=function()
{
this.AvOpc=new Array();
if(this.QhhnS_close_button)
{
var GJVZC=new Size(120,20);
this.AGIMO("close",-1,Translator.tr("Close")+" - X",null,GJVZC)
}
}
this.AGIMO=function(pOsUk,Fktfc,UrkoM,XwivP,GJVZC,nKFew,MVpfw)
{
var UiGcE=[pOsUk,GJVZC,Fktfc,UrkoM,XwivP,nKFew,MVpfw];
this.AvOpc.push(UiGcE);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.XBRbB=function(pOsUk)
{
for(var tRbax=0;tRbax<this.AvOpc.length;tRbax++)
{
var UiGcE=this.AvOpc[tRbax];
if((UiGcE[0]==pOsUk)||(UiGcE[2]+""==pOsUk+""))
return UiGcE;
}
return undefined;
}
this.aJlfq=function(pOsUk)
{
var UiGcE=this.XBRbB(pOsUk);
return UiGcE[1]
}
this.pFXDM=function(PQbdK)
{
var UiGcE=this.XBRbB(PQbdK);
var pOsUk=UiGcE[0];
var Fktfc=UiGcE[2];
var YdwGZ=this.YrSxZ[4]
var cPTNX_bg=this.YrSxZ[5]
var cPTNX_glow=this.YrSxZ[7]
if(Fktfc==-1)
{
YdwGZ=this.YrSxZ[10]
cPTNX_bg=this.YrSxZ[8]
cPTNX_glow=this.YrSxZ[11]
}
var TNPYn_id=this.JSvXO+pOsUk;
var HGpgC=this.dGoAA+pOsUk;
var GJVZC=this.aJlfq(PQbdK)
var TftUj=this.rhMcu;
var s=""
s+="<a href='javascript:WA_openDialogAction("+PQbdK+")' ";
var cPTNX=new RGBColor(cPTNX_bg);
var uKGAD=cPTNX.toHsl();
cPTNX.fromHsl(uKGAD[0],uKGAD[1],uKGAD[2]+0.2)
cPTNX_bg=cPTNX.toRGB();
var QTIba=new RGBColor(cPTNX_glow);
var QTIba_hsl=QTIba.toHsl();
QTIba.fromHsl(QTIba_hsl[0],QTIba_hsl[1],QTIba_hsl[2]+0.2)
cPTNX_glow=QTIba.toRGB();
s+="onmouseover=\"WA_but_over('"+HGpgC+"','"+cPTNX_bg+"','"+cPTNX_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+HGpgC+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.JSvXO+pOsUk+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+GJVZC.height+"px;width:"+GJVZC.width+"px;' >";
s+="<div style='position:absolute;left:"+(-TftUj)+"px;top:"+(-TftUj)+"px;height:"+GJVZC.height+"px;'>"
s+="<canvas id='"+this.dGoAA+pOsUk+"' width="+(GJVZC.width+TftUj*2)+" height="+(GJVZC.height+TftUj*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(GJVZC.height)+"px;line-height:"+(GJVZC.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+YdwGZ+"'>"
s+=UiGcE[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(tRbax)
{
return this.YrSxZ[tRbax];
}
this.pdjJq=function(pOsUk)
{
var UiGcE=this.XBRbB(pOsUk);
var Fktfc=UiGcE[2];
var cPTNX_bg=this.YrSxZ[5]
var cPTNX_glow=this.YrSxZ[7]
var YdwGZ=this.YrSxZ[3]
if(Fktfc==-1)
{
cPTNX_bg=this.YrSxZ[8]
cPTNX_glow=this.YrSxZ[11]
YdwGZ=this.YrSxZ[10]
}
var JrmWd=this.dGoAA+pOsUk;
registerDynamicCanvas(JrmWd);
var GJVZC=this.aJlfq(pOsUk);
var wkMoJ=GJVZC.height*0.25;
var wkMoJ_top=(GJVZC.height-wkMoJ)/2;
var kABRr=(GJVZC.width-2);
var KiEtX_circle_top=wkMoJ*2;
var qwZma_top=[(GJVZC.width-kABRr)/2,1,kABRr,KiEtX_circle_top,wkMoJ_top];
var Mlfrp=GJVZC.width*0.9;
var KiEtX_circle_bottom=GJVZC.height*0.45;
var nMRlB=cPTNX_glow;
var nmqYt=cPTNX_glow;
var wkMoJ_bottom=KiEtX_circle_bottom/2;
var qwZma_bottom=[(GJVZC.width-Mlfrp)/2,GJVZC.height-KiEtX_circle_bottom-1,Mlfrp,KiEtX_circle_bottom,wkMoJ_bottom,nMRlB,nmqYt];
WA_but(JrmWd,0,GJVZC.width,GJVZC.height,wkMoJ,cPTNX_bg,qwZma_top,qwZma_bottom,true,0)
}
this.ZjZQk=function(pOsUk)
{
var UiGcE=this.XBRbB(pOsUk)
if(UiGcE)
{
var JrmWd=this.JSvXO+UiGcE[0];
return document.getElementById(JrmWd);
}
return undefined
}
this.NTgtx=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var naTmb=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+naTmb+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+naTmb+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var cBpej in this.AvOpc)
{
s+=this.pFXDM(this.AvOpc[cBpej][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.arMHE)
}
this.arMHE=function()
{
registerDynamicCanvas('wa-dialog1');
for(var cBpej in this.AvOpc)
{
this.pdjJq(this.AvOpc[cBpej][0])
}
this.dMpEM()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.XcgOW=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.YrSxZ[3]+";";
}
this.onCustomKeypress=function(fijrF)
{
if((this.AvOpc.length==1)&&(fijrF==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(fijrF)
{
return this.onCustomKeypress(fijrF)
}
this.onkeydown=function(fijrF)
{
if(fijrF==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(fijrF) 
}
this.customUpdate=function(){}
this.dMpEM=function()
{
var Fjjds=document.webaca_width_page;
var KiEtX_page=document.webaca_height_page;
var RnPxp=getWindowSize().width
var KiEtX_window=getWindowSize().height 

this.vSWsT=Math.min(RnPxp*0.9,this.wioiM_win_width)
this.aDarc=Math.min(KiEtX_window*0.9,this.wioiM_win_height)
var Aaxmh=document.getElementById('wa-dialog1');
Aaxmh.width=this.vSWsT+10
Aaxmh.height=this.aDarc+10
var ajVgw=getWindowScroll().x+(RnPxp-Aaxmh.width)/2
var oiPVw=getWindowScroll().y+(KiEtX_window-Aaxmh.height)/2
ajVgw=(RnPxp-Aaxmh.width)/2
oiPVw=(KiEtX_window-Aaxmh.height)/2
ajVgw=Math.max(0,ajVgw)
oiPVw=Math.max(0,oiPVw) 
var kAdHO=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',ajVgw,oiPVw,Aaxmh.width,Aaxmh.height);
var oASji_bg="(0;0;0;"+this.aDarc*0.25+";"+this.YrSxZ[1]+";"+this.YrSxZ[2]+")";
WA_bg('wa-dialog1',this.vSWsT,this.aDarc,10,3,this.YrSxZ[0],[oASji_bg],true,0)
var pdeVU=10;
var Peipp=this.ZjZQk(-1)
if(Peipp)
{
var GJVZC_but_close=this.aJlfq(-1)
html_SetPosition(Peipp,this.vSWsT-GJVZC_but_close.width+this.rhMcu-pdeVU,this.rhMcu+pdeVU)
}
var KDQGb=this.AvOpc.length;
if(this.QhhnS_close_button==true)
{
KDQGb--;
}
var JvCwJ=10;
var sKCEn=0;
for(var cBpej=0;cBpej<KDQGb;cBpej++)
{
if(cBpej>0) sKCEn+=JvCwJ;
var GJVZC_but=this.aJlfq(cBpej);
sKCEn+=GJVZC_but.width;
}
var DVnSp=(this.vSWsT-sKCEn)/2
for(var cBpej=0;cBpej<KDQGb;cBpej++)
{
if(cBpej>0) DVnSp+=JvCwJ;
var vLTTG_div=this.ZjZQk(cBpej);
var GJVZC_but=this.aJlfq(cBpej);
html_SetPosition(vLTTG_div,DVnSp+this.rhMcu,+this.rhMcu+this.aDarc-GJVZC_but.height-2*pdeVU)
DVnSp+=GJVZC_but.width;
}
var KiEtX_top=45;
var KiEtX_bottom=this.BUTTON_HEIGHT+2*pdeVU;
if(KDQGb==0)
{
KiEtX_bottom=0;
}
var KiEtX_content=(this.aDarc-KiEtX_top-KiEtX_bottom)-pdeVU
var gBaFH=document.getElementById('wa-dialog-content');
var ICvQQ_content=Math.round(this.vSWsT-2*pdeVU)
var aLLmX=Math.round(KiEtX_content)
this.m_content_lx=ICvQQ_content
this.m_content_ly=aLLmX
html_SetGeometry('wa-dialog-content',Math.round(5+(this.vSWsT-ICvQQ_content)/2),Math.round(5+KiEtX_top+(KiEtX_content-aLLmX)/2),ICvQQ_content,aLLmX);
this.customUpdate() 
var pXtgZ=document.getElementById('wa-dialog-container');
YhKfm=getWindowFullSize().width
KiEtX_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',YhKfm,KiEtX_full_client);
centerFullPageContainer();
}
this.JAkRe();
}
function WA_exec_callback_opera_compliant(nKFew,tEYij)
{
if(/opera/i.test(navigator.userAgent))
tHfpX(nKFew,tEYij)
else
tEYij.call(nKFew)
}
function tHfpX(nKFew,tEYij)
{
wa_timeout(AFYnW,0,nKFew,tEYij);
}
function AFYnW(nKFew,tEYij)
{
tEYij.call(nKFew)
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.XcgOW;
}
WA_Dialog.XcgOW=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.XcgOW)
{
WA_Dialog.XcgOW.dMpEM()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.vZGZs(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var Fjjds=document.webaca_width_page;
var KiEtX_page=document.webaca_height_page;
var pXtgZ=document.getElementById('wa-dialog-container');
YhKfm=getWindowSize().width
KiEtX_full_client=getWindowSize().height
var oiPVw_bg=getWindowScroll().y;
oiPVw_bg=Math.min(oiPVw_bg,KiEtX_page-KiEtX_full_client+1)
oiPVw_bg=Math.max(oiPVw_bg,0)
var BEEtI=getWindowScroll().x;
BEEtI=Math.min(BEEtI,Fjjds-YhKfm+1)
BEEtI=Math.max(BEEtI,0) 
html_SetPosition('wa-dialog-container',BEEtI,oiPVw_bg,YhKfm,KiEtX_full_client);
}

function getXMLHttpRequest(fct_callback,MVpfw)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.fsufS=fct_callback
http_request.MVpfw=MVpfw
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.fsufS(true,this,this.MVpfw) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,eqfFK)
{
var http_request=getXMLHttpRequest(callback,eqfFK);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(Ccogk,qPgXu,MVpfw)
{
var result=qPgXu.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var BClDM=MVpfw[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(BClDM);
form.reset()
}
else
{
var IfHmK="error_string="
n=result.indexOf(IfHmK)
if(n>-1)
{
result=result.substring(n+IfHmK.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var RBsGl=el.value
RBsGl=encodeURI(RBsGl)
RBsGl=RBsGl.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+RBsGl+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(nKIHf)
{
var nEDsk=document.getElementById(nKIHf);
nEDsk.submit() 
}
function nvPUp(xWKCl,MVpfw)
{
var fijrF=MVpfw[0]
if(fijrF==13)
{
var nKIHf=xWKCl+"-form";
var nEDsk=document.getElementById(nKIHf);
for(var i=0;i<nEDsk.elements.length;i++)
{
var EQkib=nEDsk.elements[i];
if((EQkib.type=="textarea")&&(EQkib.focused))return true;
}
WA_form_submit(nKIHf);
return false;
}
return true;
}
function WA_addFormDeclaration(xWKCl,pTeWA)
{
return WA_addHandler(xWKCl,"keypress",nvPUp)
}
function WA_form_bg(id,lx,ly,arc,oDCTA,bord_col,bg,shadow,RPgxr,SOFnt)
{
WA_bg(id,lx,ly,arc,oDCTA,bord_col,bg,shadow,RPgxr,1.0,true) 
var KpKvp=SOFnt.x;
var tRaxI=0;
var ECcII=SOFnt.cells
for(var n=0;n<ECcII.length;n++)
{
var Tiqne=ECcII[n]
var arc2=0
hmLEN(id,KpKvp,tRaxI+Tiqne.y,SOFnt.w,Tiqne.h,arc2,1,SOFnt.border,[''],false,0,1.0,false)
hmLEN(id,KpKvp,tRaxI+Tiqne.y,Tiqne.w,Tiqne.h,arc2,1,"rgba(0,0,0,0)",[SOFnt.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(mCnMF)
{
this.ok=false;this.a=1.0;
if(mCnMF.charAt(0)=='#'){mCnMF=mCnMF.substr(1);}
mCnMF=mCnMF.replace(/ /g,'');
mCnMF=mCnMF.toLowerCase();
var qourt=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<qourt.length;i++){
var HlrBe=qourt[i].re;
var Ghmnv=qourt[i]._process;
var gtbgY=HlrBe.exec(mCnMF);
if(gtbgY){
var FISax=Ghmnv(gtbgY);
this.r=FISax[0];this.g=FISax[1];this.b=FISax[2];this.a=FISax[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.bCJhH=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.bCJhH(p,q,h+1/3);g=this.bCJhH(p,q,h);b=this.bCJhH(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function BnIUf(VwueA,MVpfw)
{
if(document.wa_global_handlers!=undefined)
{
var xWKCl=WA_focused_element()
if(xWKCl)
{
var XwivP=document.wa_global_handlers[xWKCl+"-"+VwueA]
if(XwivP) return XwivP([xWKCl],MVpfw)
}
}
return true;
}
function ATUHw(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var fijrF=ATUHw(e);
if(WA_Dialog.XcgOW)
{
if(WA_Dialog.XcgOW.onkeypress(fijrF))
{
return false;
}
}
return BnIUf("keypress",[fijrF]);
}
function WA_ondblclick(e)
{
return BnIUf("dblclic",[""]);
}
function WA_onkeydown(e)
{
var fijrF=ATUHw(e)
if(WA_Dialog.XcgOW)
{
if(WA_Dialog.XcgOW.onkeydown(fijrF))
{
return false;
}
}
if(fijrF==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var nKFew=wa_global_photo_album.fullpage_object
return nKFew.onFullScreenKeydown(fijrF) 
}
return BnIUf("keydown",[fijrF]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var xWKCl=this.id
var XwivP=document.wa_global_handlers[xWKCl+"-mousewheel"]
if(XwivP)
{
if(XwivP([xWKCl],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(xWKCl,VwueA,tEYij)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(VwueA=="mousewheel")
{
var TNPYn=document.getElementById(xWKCl);
if(TNPYn.addEventListener)
TNPYn.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
TNPYn.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[xWKCl+"-"+VwueA]=tEYij
}
function WA_loadPhotoAlbum(xWKCl,VKpws,GJVZC,xWKCl_modif)
{
if(typeof(wa_global_photo_album[xWKCl])=="undefined")
{
var o=new Array();
o.src_folder=VKpws
o.size_container=GJVZC
o.id_modif=xWKCl_modif
wa_global_photo_album[xWKCl]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(nKFew)
{
document.wa_global_focused_element=nKFew.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(jkEit,xDUfC,xfGJN)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[xDUfC])document.wa_global_blogs_elements[xDUfC]=new Array()
document.wa_global_blogs_elements[xDUfC].id_blog=jkEit
document.wa_global_blogs_elements[xDUfC].has_email=xfGJN
}
function WA_addSearchHandler(xWKCl)
{
return WA_addHandler(xWKCl,"keypress",Hmofe)
}
function Hmofe(xWKCl,MVpfw)
{
var fijrF=MVpfw[0]
if(fijrF==13)
{
var XKOqA=xWKCl+"-search-input";
WA_onSearch(XKOqA)
return false;
}
return true;
}
function WA_declareSearchIndex(CTkMi,ulaGZ)
{
document.const_wa_search_js=CTkMi
document.const_wa_search_index_js=ulaGZ
}
function WA_onSearch(XKOqA)
{
var TUPFj=document.getElementById(XKOqA);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(TUPFj,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
qMAep(TUPFj)
}
}
function ncnGi(MVpfw)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(MVpfw[0],document.const_wa_search_index_js)
}
function qMAep(TUPFj_field)
{
WA_loadScript(document.const_wa_search_js,ncnGi,[TUPFj_field])
}
function eXXkL(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return eXXkL(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(xWKCl)
{
var YPxVN=document.wa_global_menu_declaration[xWKCl]
WA_bg(xWKCl,YPxVN.root_lx,YPxVN.root_ly,YPxVN.root_corner,YPxVN.root_border,YPxVN.root_col_border,[YPxVN.root_bg],false,0)
var EQkib=document.getElementById(YPxVN.id)
if(!EQkib)return;
var c=EQkib.getContext('2d');
c.lineWidth=1
c.strokeStyle=YPxVN.root_col_separator
var XKkJV=0.5;

var tAdQD=YPxVN.root_sizes.length
if(YPxVN.root_extend==false)
{
tAdQD--;
}
var YYRCj=3;
for(var i=0;i<tAdQD;i++)
{
var GJVZC=YPxVN.root_sizes[i] 

c.beginPath();
if(YPxVN.root_vertical==false)
{
XKkJV+=(GJVZC-1)
c.moveTo(XKkJV,YYRCj)
c.lineTo(XKkJV,YPxVN.root_ly-YYRCj)
}
else
{
XKkJV+=(GJVZC)
c.moveTo(YYRCj,XKkJV-1,0)
c.lineTo(YPxVN.root_lx-YYRCj,XKkJV-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(xWKCl,YPxVN)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
YPxVN.id=xWKCl
document.wa_global_menu_declaration[xWKCl]=YPxVN
WA_bg_menu(xWKCl)
}
function WA_declareMarket(xWKCl,RLEXO_market,xWKCl_modif)
{
if(typeof(wa_global_market.markets[xWKCl])=="undefined")
{
var o=new Array();
o.src_folder=RLEXO_market
o.id_modif=xWKCl_modif 

o.id=xWKCl
wa_global_market.markets[xWKCl]=o;
}
}
function WA_button_market_declare(xWKCl,UrkoM)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[xWKCl]=UrkoM
}
function eCZnh(c,img,ajVgw,oiPVw,OQHXf,KiEtX,GreDK,BBWBu,rLLNo)
{
c.globalAlpha=BBWBu
if(rLLNo) c.clearRect(0,0,OQHXf,KiEtX) 
if(BBWBu==0)return;
if(GreDK)
{
c.drawImage(img,GreDK.x,GreDK.y,GreDK.width,GreDK.height,ajVgw,oiPVw,OQHXf,KiEtX)
}
else
{
c.drawImage(img,ajVgw,oiPVw,OQHXf,KiEtX)
}
}
function WA_drawImage(id,cQfoV,ajVgw,oiPVw,OQHXf,KiEtX,GreDK,BBWBu,rLLNo)
{
if(rLLNo==undefined)rLLNo=true;
if(BBWBu==undefined)BBWBu=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==cQfoV)
{
eCZnh(c,c.PMHAE,ajVgw,oiPVw,OQHXf,KiEtX,GreDK,BBWBu,rLLNo)
return;
}
var img=new Image();
img.YUMfB=el.YUMfB
img.onload=function()
{
c.old_src=cQfoV
c.PMHAE=this;
eCZnh(c,this,ajVgw,oiPVw,OQHXf,KiEtX,GreDK,BBWBu,rLLNo)
}
img.src=cQfoV;
}

-->
